#include <bits/stdc++.h>
using namespace std;
int neg[200005], poz[200005];
  string s;
  int n;
  
int main(){
  int x, y;
  cin >> n;
  for(int i = 1;i <=n; i++){
    cin >> x;
    if(x<0) neg[i]=x;
    else {
        y = i-1;
    break;
  }
  if(i==n) y = n;
  }
  reverse(neg+1, neg+n-y+1);
  if(y!=n)
  poz[1] = x;
  for(int i = 2; i<=n-y; i++){
    cin >> x;
    poz[i] = x;
  }
  
    for(int i = 1; i<=n; i++){
        s = s+"23";
    }
    cout << n << endl << s << endl;
    return 0;
}